Closed Bug 1138108 Opened 9 years ago Closed 7 years ago

"Heartbleed Monitor" add-on does not work with e10s

Categories

(Firefox :: Extension Compatibility, defect)

x86_64
Windows 8.1
defect
Not set
normal

Tracking

()

RESOLVED INCOMPLETE
Tracking Status
e10s + ---

People

(Reporter: karlamsanchezr, Unassigned)

References

()

Details

(Whiteboard: [amo-author-notified])

Attachments

(1 file)

Attached image heartbleed report.jpg
Heartbleed makes Nightly run slow. Add on is supposed to report what websites are vulnerable to heartbleed.
Garrett, are you the developer of the "Heartbleed Monitor" add-on? The add-on seems to be broken with multiprocess Firefox (e10s). If you have any questions about e10s support, just drop by the #e10s IRC channel on irc.mozilla.org or ask Jim Mathies on this bug. MDN also has a good introduction:

https://developer.mozilla.org/en-US/Add-ons/Working_with_multiprocess_Firefox

The "Heartbleed Monitor might be making Nightly run slowly" status bar warning means that Firefox thinks the add-on is spending too much time running script:

http://blog.lassey.us/2015/02/25/detecting-slow-add-ons/

https://addons.mozilla.org/en-US/firefox/addon/heartbleed_monitor/
tracking-e10s: --- → +
Summary: "Heartbleed" add-on does not work with e10s → "Heartbleed Monitor" add-on does not work with e10s
This addon does not appear to be working at all in Release or later.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Whiteboard: [amo-author-notified]
With Firefox 57 only WebExtensions are permitted and are, by default, e10s compatible.
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Creator:
Created:
Updated:
Size: